package com.lovecoding.springmvc;


import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

@Controller
@RequestMapping(value = "/demoContorller")
public class DemoContorller {


    @RequestMapping(
            value = {  "/save/{id}" },
            method = { RequestMethod.POST, RequestMethod.GET }
            //params = {"username=zhangsan"},
            //headers = {"User-Agent"},
            //consumes = { "multipart/form-data" }, 用来限制 请求数据类型
            //produces = { "text/html" }
    )
    public String demo( @RequestParam(value = "user", required = false) String username  ){

        System.out.println( "DemoContorller Run!!!" + username );

        return "/demo.jsp";
    }

    /**
     * 这种通过 URL 路径传递参数的风格
     * 一般叫做 RESTful 协议
     * @param studentId
     * @return
     */
    @RequestMapping(
            value = {"/updateStudent/{studentId}" }
    )
    public String hello( @PathVariable(
            value = "studentId",
            required = false
    ) int studentId ){

        System.out.println( "studentId :" + studentId );

        return "/demo.jsp";

    }

}
